# Class CIM_IsSpare
extends CIM_Dependency

The IsSpare association indicates an element that can spare or replace any of the elements in the referenced RedundancySet. If the 'spare' is itself a Collection, this indicates that each of the 'spare' members can replace any of the elements in the RedundancySet. In the case of a collection all of the values in the properties of this association MUST apply to all members of the Collection. If this is not true, then the Collection SHOULD be broken down into smaller sets (and the IsSpare association defined for each of these smaller sets), such that the properties of this association apply to all collected members.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_IsSpare

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

The IsSpare association indicates an element that can spare or replace any of the elements in the referenced RedundancySet. If the 'spare' is itself a Collection, this indicates that each of the 'spare' members can replace any of the elements in the RedundancySet. In the case of a collection all of the values in the properties of this association MUST apply to all members of the Collection. If this is not true, then the Collection SHOULD be broken down into smaller sets (and the IsSpare association defined for each of these smaller sets), such that the properties of this association apply to all collected members.

UMLPackagePath | string | CIM::Core::Redundancy
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FailoverSupported | uint16 |
Description | string | Indicates whether or not the failover to the spare is a manual or automatic action.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Automatic, Manual, Both Manual and Automatic
SpareStatus | uint16 |
Description | string | Indicates the state of the 'spare'. - Hot Standby. The element is available 'immediately' to become a functioning member of the set. Such an element is powered on and has been initialized for it's role as a spare. - Cold Standby. The element is not available to join the set without action to prepare it.
ValueMap | string | 0, 2, 3
Values | string | Unknown, Hot Standby, Cold Standby

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_IsSpare | CIM_ManagedElement
Dependent | CIM_IsSpare | CIM_RedundancySet

## Class Methods